#
# spec file for package python3-lesscpy
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-lesscpy
Version:        0.9j
Release:        6.2
Url:            https://github.com/robotis/lesscpy
Summary:        Lesscss compiler
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/l/lesscpy/lesscpy-%{version}.tar.gz
Patch0:         lesscpy-setup-encoding.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-devel
# Test requirements:
BuildRequires:  python3-ply
Requires:       python3-ply
BuildArch:      noarch
Requires(post): update-alternatives
Requires(postun): update-alternatives

%description
python LessCss Compiler.

A compiler written in python 3 for the lesscss language. 
For those of us not willing/able to have node.js installed in our environment. 
Not all features of lesscss are supported (yet).
Some features wil probably never be supported (JavaScript evaluation). 
This program uses PLY (Python Lex-Yacc) to tokenize/parse the input. 

%prep
%setup -q -n lesscpy-%{version}
%patch0 -p1

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
mv %{buildroot}%{_bindir}/lesscpy{,-%{py3_ver}}
ln -s %{_bindir}/lesscpy-%{py3_ver} %{buildroot}%{_bindir}/lesscpy

%check
python3 lesscpy/test/__main__.py # Sigh!

%pre
# Since /usr/bin/lesscpy became ghosted to be used with update-alternatives, we
# have to get rid of the old binary:
[ -h %{_bindir}/lesscpy ] || rm -f %{_bindir}/lesscpy

%post
update-alternatives \
    --install %{_bindir}/lesscpy lesscpy %{_bindir}/lesscpy-%{py3_ver} 30

%preun
if [ $1 -eq 0 ] ; then
    update-alternatives --remove lesscpy %{_bindir}/lesscpy-%{py3_ver}
fi

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%ghost %{_bindir}/lesscpy
%{_bindir}/lesscpy-%{py3_ver}
%{python3_sitelib}/lesscpy
%{python3_sitelib}/lesscpy-%{version}-py%{py3_ver}.egg-info

%changelog
* Sat Nov  8 2014 Led <ledest@gmail.com>
- fix bashism in pre script
* Mon Aug 12 2013 speilicke@suse.com
- Update to version 0.9j
  + Support for SVG stylesheets
  + Increased lessc compatibility
  + Many testing improvements
- Use update-alternatives
- Add lesscpy-setup-encoding.patch: Fix encoding issues in setup.py
* Wed Jul 17 2013 speilicke@suse.com
- Update to version 0.9h
- Run testsuite
* Wed Feb 29 2012 saschpe@suse.de
- Initial version
